{ config, pkgs, ... }:

{
  imports = [
    ./global.nix
  ];

  environment = {
    systemPackages = with pkgs; [
      # CLI programs
      kubectl
      kubernetes-helm
      neomutt
      notmuch
      ntfy-sh
      pass
      plantuml
      shellcheck
      tree

      # GUI utils
      xclip
      xdotool
      xprintidle

      # GUI programs
      alacritty
      chromium
      feh
      mpv
      nextcloud-client
      pavucontrol
      qutebrowser
      scrot
      yt-dlp
      zathura
      signal-desktop
    ];
  };

  fonts.fonts = with pkgs; [
    open-sans
    liberation_ttf
  ];

  hardware = {
    pulseaudio = {
      enable = true;
    };
  };

  programs = {
    gnupg = {
      agent = {
        enable = true;
        enableSSHSupport = true;
      };
    };
  };

  services = {
    pcscd = {
      enable = true;
    };
  };

  users = {
    users = {
      tyil = {
        extraGroups = [ "audio" "video" ];
      };
    };
  };
}
